Table of Contents

Class EventsRequestBuilder.EventsRequestBuilderGetQueryParameters

Namespace
Keycloak.AuthServices.Sdk.Kiota.Admin.Admin.Realms.Item.Events
Assembly
Keycloak.AuthServices.Sdk.Kiota.dll

Get events Returns all events, or filters them based on URL query parameters listed here

public class EventsRequestBuilder.EventsRequestBuilderGetQueryParameters
Inheritance
EventsRequestBuilder.EventsRequestBuilderGetQueryParameters
Inherited Members

Properties

Client

App or oauth client name

[QueryParameter("client")]
public string? Client { get; set; }

Property Value

string

DateFrom

From (inclusive) date (yyyy-MM-dd) or time in Epoch timestamp millis (number of milliseconds since January 1, 1970, 00:00:00 GMT)

[QueryParameter("dateFrom")]
public string? DateFrom { get; set; }

Property Value

string

DateTo

To (inclusive) date (yyyy-MM-dd) or time in Epoch timestamp millis (number of milliseconds since January 1, 1970, 00:00:00 GMT)

[QueryParameter("dateTo")]
public string? DateTo { get; set; }

Property Value

string

Direction

The direction to sort events by (asc or desc)

[QueryParameter("direction")]
public string? Direction { get; set; }

Property Value

string

First

Paging offset

[QueryParameter("first")]
public int? First { get; set; }

Property Value

int?

IpAddress

IP Address

[QueryParameter("ipAddress")]
public string? IpAddress { get; set; }

Property Value

string

Max

Maximum results size (defaults to 100)

[QueryParameter("max")]
public int? Max { get; set; }

Property Value

int?

Type

The types of events to return

[QueryParameter("type")]
public string[]? Type { get; set; }

Property Value

string[]

User

User id

[QueryParameter("user")]
public string? User { get; set; }

Property Value

string